Subject: [gcc-3.4.1 / binutils] where are my symbols?
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Date: Sun, 3 Oct 2004 19:51:46 +0200

Hello,

I see the following:

I link four objects togehter in a DLL:
gcc -shared -o .libs/cyggconfbackend-oldxml.dll      \
 -Wl,--out-implib,.libs/libgconfbackend-oldxml.dll.a \
 .libs/xml-cache.o .libs/xml-dir.o .libs/xml-entry.o  \
 .libs/xml-backend.o ${LIBS}

Now I get this in the import library:
$ nm  .libs/libgconfbackend-oldxml.dll.a | grep ' T '
00000000 T _gconf_backend_get_vtable
00000000 T _g_module_check_init

When I look into my object files I have this:
for i in .libs/xml-cache.o \
         .libs/xml-dir.o \
         .libs/xml-entry.o \
         .libs/xml-backend.o ;\
do nm $i | grep  T  ; \
done
000004c0 T _cache_clean
00000000 T _cache_get
000005f0 T _cache_lookup
00000310 T _cache_sync
000000f0 T _cache_unref
00000d10 T _xml_test_cache
000000d0 T __gconf_mode_t_to_mode
000008b0 T __gconf_parent_dir
00001770 T _dir_all_entries
00001710 T _dir_all_subdirs
00000570 T _dir_child_added
000004f0 T _dir_child_removed
00000420 T _dir_destroy
00000ce0 T _dir_ensure_exists
000005d0 T _dir_get_last_access
000019d0 T _dir_get_metainfo
000005e0 T _dir_get_name
00000640 T _dir_get_parent_name
00001aa0 T _dir_get_value
000007b0 T _dir_last_access
00000130 T _dir_load
00000000 T _dir_new
00001360 T _dir_set_schema
00001bc0 T _dir_set_value
00001cb0 T _dir_sync
000004e0 T _dir_sync_pending
00001840 T _dir_unset_value
00002370 T _xml_test_dir
00000090 T _entry_destroy
00002d60 T _entry_fill_from_node
00000160 T _entry_get_metainfo
00000120 T _entry_get_name
00000150 T _entry_get_node
00000220 T _entry_get_schema_name
00003370 T _entry_get_value
00000000 T _entry_new
00000280 T _entry_set_mod_time
000002e0 T _entry_set_mod_user
00000130 T _entry_set_node
00000230 T _entry_set_schema_name
00001db0 T _entry_set_value
00001950 T _entry_sync_to_node
00003090 T _entry_unset_value
00000950 T _my_xmlGetProp
00000360 T _my_xmlSetProp
000035a0 T _xml_test_entry
00000960 T _g_module_check_init
000009b0 T _gconf_backend_get_vtable

It seems that only the symbols from the fourth object have arrived in
the library.  What is going on here and how can I track this down?

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/